org.eclipse.mat.ui.internal.panes

## Class QueryResultPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.internal.panes.QueryResultPane

All Implemented Interfaces:
  IAdaptable, ISelectionProvider, IEditorPart, ISaveablePart, IWorkbenchPart

Direct Known Subclasses:
  BundlesPane, CompareTablesPane, DominatorPane, HistogramPane, MultiplePath2GCRootsPane, Path2GCRootsPane, TableResultPane

    public class QueryResultPane
    extends AbstractEditorPane
    implements ISelectionProvider

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`QueryResultPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `contributeToToolBar(IToolBarManager manager)`
`void` `createPartControl(Composite parent)`
`ISelection` `getSelection()`
`QueryResult` `getSrcQueryResult()`
`String` `getTitle()`
`Image` `getTitleImage()`
`void` `initWithArgument(Object argument)`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection(ISelection selection)`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, dispose, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleToolTip, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryResultPane

    public QueryResultPane()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`

#### initWithArgument

    public void initWithArgument(Object argument)

Overrides:
  `initWithArgument` in class `AbstractEditorPane`

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in interface `IWorkbenchPart`

#### getTitleImage

    public Image getTitleImage()

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Overrides:
  `getTitleImage` in class `AbstractEditorPane`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Overrides:
  `setFocus` in class `AbstractEditorPane`

#### contributeToToolBar

    public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `AbstractEditorPane`

#### getSelection

    public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

#### setSelection

    public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

#### getSrcQueryResult

    public QueryResult getSrcQueryResult()